package com.behance.sdk;

import com.behance.sdk.enums.BehanceSDKProjectsSortOption;
import com.behance.sdk.enums.BehanceSDKProjectsTimeSpan;

/**
 * Created by ugs on 09/07/15.
 */
public class BehanceSDKSearchProjectOptions {

    private int pageNumber;
    private int pageSize;
    private String searchString;
    private String field;
    private BehanceSDKProjectsSortOption sortOption;
    private BehanceSDKProjectsTimeSpan timeSpan;
    private String country;
    private String state;
    private String city;
    private String tags;

    public BehanceSDKProjectsSortOption getSortOption() {
        return sortOption;
    }

    public void setSortOption(BehanceSDKProjectsSortOption sortOption) {
        this.sortOption = sortOption;
    }

    public BehanceSDKProjectsTimeSpan getTimeSpan() {
        return timeSpan;
    }

    public void setTimeSpan(BehanceSDKProjectsTimeSpan timeSpan) {
        this.timeSpan = timeSpan;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    /**
     * @return the country
     */
    public String getCountry() {
        return country;
    }

    /**
     * @param country
     *            the country to set
     */
    public void setCountry(String country) {
        this.country = country;
    }

    /**
     * @return the state
     */
    public String getState() {
        return state;
    }

    /**
     * @param state
     *            the state to set
     */
    public void setState(String state) {
        this.state = state;
    }

    /**
     * @return the city
     */
    public String getCity() {
        return city;
    }

    /**
     * @param city
     *            the city to set
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     *
     * @return
     */
    public int getPageNumber() {
        return pageNumber;
    }

    /**
     *
     * @param pageNumber
     */
    public void setPageNumber(int pageNumber) {
        this.pageNumber = pageNumber;
    }

//    /**
//     *
//     * @return
//     */
//    public int getPageSize() {
//            return pageSize;
//
//    }
//
//    /**
//     *
//     * @param pageSize
//     */
//    public void setPageSize(int pageSize) {
//        this.pageSize = pageSize;
//    }

    /**
     *
     * @param searchString
     */
    public void setSearchString(String searchString) {
        this.searchString = searchString;
    }

    public String getSearchString() {
        return searchString;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }
}
