/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk;

/**
 * @author Sujit Reddy G
 * 
 */

public interface IBehanceSDKPublishProjectResultIntentExtras {

	/**
	 * True if successful
	 */
	public static final String INTENT_BOOL_EXTRA_PUBLISHED_PROJECT_SUCCESSFULLY = "BEHANCE_SDK_PUBLISH_PROJECT_INTENT_BOOL_EXTRA_PUBLISHED_PROJECT_SUCCESSFULLY";
	/**
	 * Id of published Project. Set if publish is successful
	 */
	public static final String INTENT_STR_EXTRA_PUBLISHED_PROJECT_ID = "BEHANCE_SDK_PUBLISH_PROJECT_INTENT_STR_EXTRA_PUBLISHED_PROJECT_ID";
	/**
	 * Title of published Project. Always set.
	 */
	public static final String INTENT_STR_EXTRA_PUBLISHED_PROJECT_TITLE = "BEHANCE_SDK_PUBLISH_PROJECT_INTENT_STR_EXTRA_PUBLISHED_PROJECT_TITLE";
	/**
	 * Publish failure error message. Set if publish fails
	 */
	public static final String INTENT_STR_EXTRA_PUBLISH_PROJECT_FAILURE_MSG = "BEHANCE_SDK_PUBLISH_PROJECT_INTENT_STR_EXTRA_PUBLISH_PROJECT_FAILURE_MSG";

}
