/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.asynctask.listeners;



import com.behance.sdk.asynctask.params.BehanceSDKGetCuratedGalleryProjectsAsyncTaskParams;
import com.behance.sdk.dto.project.BehanceSDKProjectDTO;

import java.util.List;

public interface IBehanceSDKGetCuratedGalleryProjectsAsyncTaskListener {

	public void onGetCuratedGalleryProjectsSuccess(List<BehanceSDKProjectDTO> result, BehanceSDKGetCuratedGalleryProjectsAsyncTaskParams params);

	public void onGetCuratedGalleryProjectsFailure(Exception e, BehanceSDKGetCuratedGalleryProjectsAsyncTaskParams params);
}
