/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.asynctask.params;


import com.behance.sdk.dto.search.BehanceSDKUserDTO;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKFollowUnFollowUserAsyncTaskParams extends BehanceSDKAbstractTaskParams {

	private BehanceSDKUserDTO userDTO;
	private boolean followUser;
	private int pos;

	public boolean isFollowUser() {
		return followUser;
	}

	public void setFollowUser(boolean followUser) {
		this.followUser = followUser;
	}

	public BehanceSDKUserDTO getUserDTO() {
		return userDTO;
	}

	public void setUserDTO(BehanceSDKUserDTO userDTO) {
		this.userDTO = userDTO;
	}

	public int getPos() {
		return pos;
	}

	public void setPos(int pos) {
		this.pos = pos;
	}
}
