/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.asynctask.params;

import java.lang.ref.WeakReference;

import android.content.Context;

/**
 * @author Sujit Reddy G
 * 
 */
public class BehanceSDKGetAlbumsTaskParams {

	private WeakReference<Context> contextWeakReference;
	private boolean showImageSelectionSources;

	public WeakReference<Context> getContextWeakReference() {
		return contextWeakReference;
	}

	public void setContextWeakReference(WeakReference<Context> contextWeakReference) {
		this.contextWeakReference = contextWeakReference;
	}

	public void setShowImageSelectionSources(boolean showImageSelectionSources) {
		this.showImageSelectionSources = showImageSelectionSources;
		
	}
	
	public boolean isShowImageSelectionSources() {
		return this.showImageSelectionSources;
		
	}

}