/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.asynctask.params;


public class BehanceSDKGetProjectDetailsAsyncTaskParams extends BehanceSDKAbstractTaskParams{
	private String projectID;
	private boolean isDownloadHD;
	private String followingHTMLButtonText;
	private String followHTMLButtonText;
	private boolean isLargeTablet;

	public String getProjectID() {
		return projectID;
	}

	public void setProjectID(String projectID) {
		this.projectID = projectID;
	}

	public boolean isDownloadHD() {
		return isDownloadHD;
	}

	public void setDownloadHD(boolean isDownloadHD) {
		this.isDownloadHD = isDownloadHD;
	}

	public String getFollowingHTMLButtonText() {
		return followingHTMLButtonText;
	}

	public void setFollowingHTMLButtonText(String followingHTMLButtonText) {
		this.followingHTMLButtonText = followingHTMLButtonText;
	}

	public String getFollowHTMLButtonText() {
		return followHTMLButtonText;
	}

	public void setFollowHTMLButtonText(String followHTMLButtonText) {
		this.followHTMLButtonText = followHTMLButtonText;
	}

	public boolean isLargeTablet() {
		return isLargeTablet;
	}

	public void setLargeTablet(boolean isLargeTablet) {
		this.isLargeTablet = isLargeTablet;
	}
}
