/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.asynctask.params;

public class BehanceSDKGetUserProjectsListAsyncTaskParams extends BehanceSDKAbstractTaskParams {

	public static final int DEFAULT_REQUEST_PAGE_SIZE = 24;

	private int userId;
	private boolean includePrivateProjects = true;
	private int pageNumber;

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public boolean isIncludePrivateProjects() {
		return includePrivateProjects;
	}

	public void setIncludePrivateProjects(boolean includePrivateProjects) {
		this.includePrivateProjects = includePrivateProjects;
	}

	public int getPageNumber() {
		return pageNumber;
	}

	public void setPageNumber(int pageNumber) {
		this.pageNumber = pageNumber;
	}
}
