/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto;

import com.behance.sdk.dto.project.BehanceSDKProjectDTO;

import java.util.List;

public class BehanceSDKAbstractCuratedGalleryDTO {

	private int id;
	private String name;
	private String key;
	private String iconUrl;
	private String domain;
	private String url;
	private boolean following;
	private BehanceSDKGalleryRibbonDTO ribbonDTO;
	private List<BehanceSDKProjectDTO> projectList;

	public BehanceSDKGalleryRibbonDTO getRibbonDTO() {
		return ribbonDTO;
	}

	public void setRibbonDTO(BehanceSDKGalleryRibbonDTO ribbonDTO) {
		this.ribbonDTO = ribbonDTO;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getDomain() {
		return domain;
	}

	public void setDomain(String domain) {
		this.domain = domain;
	}

	public String getIconUrl() {
		return iconUrl;
	}

	public void setIconUrl(String iconUrl) {
		this.iconUrl = iconUrl;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public boolean isFollowing() {
		return following;
	}

	public void setFollowing(boolean following) {
		this.following = following;
	}

	public List<BehanceSDKProjectDTO> getProjectList() {
		return projectList;
	}

	public void setProjectList(List<BehanceSDKProjectDTO> projectList) {
		this.projectList = projectList;
	}

}
