/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.project;

import com.behance.sdk.dto.search.BehanceSDKUserDTO;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKAbstractCommentDTO implements Comparable<BehanceSDKAbstractCommentDTO> {

	private String id;
	private String content;
	private long createdDate;
	private BehanceSDKUserDTO user;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public long getCreatedDate() {
		return createdDate;
	}

	public void setCreatedDate(long createdDate) {
		this.createdDate = createdDate;
	}

	public BehanceSDKUserDTO getUser() {
		return user;
	}

	public void setUser(BehanceSDKUserDTO user) {
		this.user = user;
	}

	@Override
	public int compareTo(BehanceSDKAbstractCommentDTO another) {
		if (another != null) {
			if (createdDate < another.getCreatedDate()) {
				return -1;
			} else if (createdDate > another.getCreatedDate()) {
				return 1;
			} else {
				return 0;
			}
		}
		return 0;
	}
}
