/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.project;


import com.behance.sdk.enums.BehanceSDKProjectModuleType;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKProjectModuleAudioDTO extends BehanceSDKAbstractProjectModuleDTO {

	private static final long serialVersionUID = -646184695805770780L;

	private String embedHTML;
	private String srcURL;

	public BehanceSDKProjectModuleAudioDTO() {
		setType(BehanceSDKProjectModuleType.AUDIO);
	}

	public String getEmbedHTML() {
		return embedHTML;
	}

	public void setEmbedHTML(String embedHTML) {
		this.embedHTML = embedHTML;
	}

	public String getSrcURL() {
		return srcURL;
	}

	public void setSrcURL(String srcURL) {
		this.srcURL = srcURL;
	}
}
