package com.behance.sdk.enums;

public enum BehanceSDKProjectsTimeSpan {
	ALL("all"), WEEK("week"), MONTH("month"), TODAY("today");

		private String actualValue;

	BehanceSDKProjectsTimeSpan(String actualValue) {
			this.actualValue = actualValue;
		}

		public static BehanceSDKProjectsTimeSpan fromName(String name) {
			for (BehanceSDKProjectsTimeSpan value : values()) {
				if (value.name().equalsIgnoreCase(name)) {
					return value;
				}
			}
			return null;
		}

		public static BehanceSDKProjectsTimeSpan fromName(String name, BehanceSDKProjectsTimeSpan defaultValue) {
			BehanceSDKProjectsTimeSpan fromName = fromName(name);
			if (null != fromName)
				return fromName;
			return defaultValue;
		}

		@Override
		public String toString() {
			return actualValue;
		}
	}