package com.behance.sdk.enums;

/**
 * Created by mayajain on 16/03/16.
 */
public enum BehanceSDKShareContentType {
    PROJECT, WIP, USER, COLLECTION, CURATED_GALLERY, IMAGE, TEAM;

    public static BehanceSDKShareContentType fromString(String str) {
        if (str != null && str.length() > 0) {
            for (BehanceSDKShareContentType value : values()) {
                if (value.name().equals(str)) {
                    return value;
                }
            }
        }
        return PROJECT;
    }
}
