/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.enums;

/**
 * @author Sujit Reddy G
 * 
 */

public enum BehanceSDKUserAuthType {
	BEHANCE_LOGIN, ADOBE_LOGIN;

	public static BehanceSDKUserAuthType fromName(String name) {
		if (name != null && name.length() > 0) {
			BehanceSDKUserAuthType[] values = values();
			for (BehanceSDKUserAuthType behanceUserAuthType : values) {
				if (behanceUserAuthType.name().equals(name)) {
					return behanceUserAuthType;
				}
			}
		}
		return null;
	}
}
