package com.behance.sdk.enums;

/**
 * Created by forta on 4/11/16.
 */
public enum  BehanceSDKWIPConversionStatus {
    /*
    Conversion status unknown
     */
    WIPConversionStatusUnknown,
    /*
    WIP does not exist and has not been converted
     */
    WIPConversionStatusDoesNotExist,
    /*
    WIP still exists and has not been converted
     */
    WIPConversionStatusNotConverted,
    /*
    WIP does not exist, has not been converted, but project is not owned by the requesting user
     */
    WIPConversionStatusUnowned,
    /*
    WIP has been converted to project draft, but has not been published
    Associated project Id is available in response
     */
    WIPConversionStatusConvertedNotPublished,
    /*
    WIP has been converted to project draft, but has not been published
    Associated project Id is available in response
     */
    WIPConversionStatusConvertedPublished
}
