package com.behance.sdk.exception;

/**
 * Created by ugs on 6/10/15.
 */
public class BehanceSDKException extends Exception {

    private static final long serialVersionUID = 4460485212019462046L;

    public BehanceSDKException() {
    }

    public BehanceSDKException(String detailMessage) {
        super(detailMessage);
    }


    public BehanceSDKException(String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
    }

    public BehanceSDKException(Throwable throwable) {
        super(throwable);
    }

    private int errorCode;

    public BehanceSDKException(int errorCode) {
        super();
        this.errorCode = errorCode;
    }

    public BehanceSDKException(int errorCode, String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
        this.errorCode = errorCode;
    }

    public BehanceSDKException(int errorCode, String detailMessage) {
        super(detailMessage);
        this.errorCode = errorCode;
    }

    public BehanceSDKException(int errorCode, Throwable throwable) {
        super(throwable);
        this.errorCode = errorCode;
    }

    public int getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(int errorCode) {
        this.errorCode = errorCode;
    }
}
