/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.logger;

/**
 * @author Sujit Reddy G
 * 
 */

public interface ILogger {

	void debug(String msg, Object... args);

	void debug(Throwable tr);

	void debug(Throwable tr, String msg, Object... args);

	void error(String msg, Object... args);

	void error(Throwable tr);

	void error(Throwable tr, String msg, Object... args);

	void info(String msg, Object... args);

	void info(Throwable tr);

	void info(Throwable tr, String msg, Object... args);

	void warn(String msg, Object... args);

	void warn(Throwable tr);

	void warn(Throwable tr, String msg, Object... args);

	void wtf(String msg, Object... args);

	void wtf(Throwable tr);

	void wtf(Throwable tr, String msg, Object... args);

}
