package com.behance.sdk.ui.adapters.viewholders;

import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.behance.sdk.R;

/**
 * Created by forta on 10/29/15.
 */
public class BehanceSDKBottomSheetItemViewHolder extends RecyclerView.ViewHolder {
    public ImageView thumbnail;
    public TextView title;
    public View contentContainer;

    public BehanceSDKBottomSheetItemViewHolder(View itemView) {
        super(itemView);
        thumbnail = (ImageView) itemView.findViewById(R.id.bsdk_bottom_sheet_item_thumbnail);
        title = (TextView) itemView.findViewById(R.id.bsdk_bottom_sheet_item_title);
        contentContainer = itemView.findViewById(R.id.bsdk_bottom_sheet_content_container);
        itemView.setClickable(true);
    }
}
