package com.behance.sdk.ui.adapters.viewholders;

import android.view.View;
import android.widget.ProgressBar;
import android.widget.TextView;

import com.behance.sdk.R;
import com.facebook.drawee.view.DraweeView;

/**
 * Created by forta on 7/23/15.
 */
public class BehanceSDKProjectViewHolder extends BehanceSDKAbstractViewHolder {
    public DraweeView cover;
    public TextView title, artist, appreciations, views;
//    public ImageButton ownerMore;
    public ProgressBar loader;
    public View appreciationsContainer;

    public BehanceSDKProjectViewHolder(View itemView) {
        super(itemView);
        if(itemView.getId() == R.id.card_loader) {
            loader = (ProgressBar) itemView.findViewById(R.id.bsdk_card_loader_progress_bar);
            itemView.setClickable(false);
            itemView.setLongClickable(false);
        } else {
            title = (TextView) itemView.findViewById(R.id.bsdk_discover_project_card_title);
            artist = (TextView) itemView.findViewById(R.id.bsdk_discover_project_card_artist);
            appreciations = (TextView) itemView.findViewById(R.id.bsdk_discover_project_card_appreciations);
            views = (TextView) itemView.findViewById(R.id.bsdk_discover_project_card_views);
//            ownerMore = (ImageButton) itemView.findViewById(R.id.project_card_owner_more_button);
            cover = (DraweeView) itemView.findViewById(R.id.bsdk_discover_project_card_cover);
            appreciationsContainer = itemView.findViewById(R.id.bsdk_discover_project_card_appreciations_container);
            itemView.setClickable(true);
            itemView.setLongClickable(true);
        }
    }
}
