package com.behance.sdk.ui.customviews;

import android.content.Context;
import android.graphics.Rect;
import android.support.v7.widget.RecyclerView;
import android.view.View;

import com.behance.sdk.R;

/**
 * Created by forta on 7/20/15.
 */
public class BehanceSDKSpaceItemDecorationList extends RecyclerView.ItemDecoration {

    private final int mVerticalSpaceHeight;

    public BehanceSDKSpaceItemDecorationList(int mVerticalSpaceHeight) {
        this.mVerticalSpaceHeight = mVerticalSpaceHeight;
    }

    public BehanceSDKSpaceItemDecorationList(Context context) {
        this.mVerticalSpaceHeight = context.getResources().getDimensionPixelSize(R.dimen.bsdk_card_view_vertical_spacing);
    }

    @Override
    public void getItemOffsets(Rect outRect, View view, RecyclerView parent,
                               RecyclerView.State state) {
        outRect.bottom = mVerticalSpaceHeight;
    }
}