/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk;

/**
 * @author Sujit Reddy G
 * 
 */

public interface IBehanceSDKPublishWIPResultIntentExtras {

	/**
	 * True if successful
	 */
	public static final String INTENT_BOOL_EXTRA_PUBLISHED_WIP_SUCCESSFULLY = "BEHANCE_SDK_PUBLISH_WIP_INTENT_BOOL_EXTRA_PUBLISHED_WIP_SUCCESSFULLY";
	/**
	 * Id of published WIP. Set if publish is successful
	 */
	public static final String INTENT_INT_EXTRA_PUBLISHED_WIP_ID = "BEHANCE_SDK_PUBLISH_WIP_INTENT_INT_EXTRA_PUBLISHED_WIP_ID";
	/**
	 * Id of published WIP Revision. Set if publish is successful
	 */
	public static final String INTENT_INT_EXTRA_PUBLISHED_WIP_REVISION_ID = "BEHANCE_SDK_PUBLISH_WIP_INTENT_INT_EXTRA_PUBLISHED_WIP_REVISION_ID";
	/**
	 * Title of published WIP. Always set.
	 */
	public static final String INTENT_STR_EXTRA_PUBLISHED_WIP_TITLE = "BEHANCE_SDK_PUBLISH_WIP_INTENT_STR_EXTRA_PUBLISHED_WIP_TITLE";
	/**
	 * Description of published WIP Revision. Always set
	 */
	public static final String INTENT_STR_EXTRA_PUBLISHED_WIP_REVISION_DESC = "BEHANCE_SDK_PUBLISH_WIP_INTENT_STR_EXTRA_PUBLISHED_WIP_REVISION_DESC";
	/**
	 * URL of published WIP Revision. Set if publish is successful
	 */
	public static final String INTENT_STR_EXTRA_PUBLISHED_WIP_REVISION_URL = "BEHANCE_SDK_PUBLISH_WIP_INTENT_STR_EXTRA_PUBLISHED_WIP_REVISION_URL";
	/**
	 * Publish failure error message. Set if publish fails
	 */
	public static final String INTENT_STR_EXTRA_PUBLISH_WIP_FAILURE_MSG = "BEHANCE_SDK_PUBLISH_WIP_INTENT_STR_EXTRA_PUBLISH_WIP_FAILURE_MSG";

}
