/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.asynctask.listeners;


import com.behance.sdk.asynctask.params.BehanceSDKGetProjectCommentsAsyncTaskParams;
import com.behance.sdk.dto.project.BehanceSDKProjectCommentDTO;

import java.util.List;

public interface IBehanceSDKGetProjectCommentsAsyncTaskListener {

	public void onGetProjectCommentsSuccess(List<BehanceSDKProjectCommentDTO> commentList, BehanceSDKGetProjectCommentsAsyncTaskParams taskParams);

	public void onGetProjectCommentsFailure(Exception e, BehanceSDKGetProjectCommentsAsyncTaskParams taskParams);

}
