package com.behance.sdk.asynctask.params;

import android.graphics.Bitmap;

import com.behance.sdk.project.modules.ImageModule;

/**
 * Created by forta on 9/15/14.
 */
public class BehanceSDKEditProfileAsyncTaskParams extends BehanceSDKAbstractTaskParams {

    private String firstName;
    private String lastName;
    private String occupation;
    private String company;
    private String website;
    private String country;
    private String state;
    private String city;
    private ImageModule image;
    private Bitmap profileImageBitmap;

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setOccupation(String occupation) {
        this.occupation = occupation;
    }

    public String getOccupation() {
        return occupation;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getCompany() {
        return company;
    }

    public void setWebsite(String website) {
        if(website.length() > 3) {
            if (!website.contains("http://") && !website.contains("https://") && !website.substring(0, 2).equals("www"))//endpoint requires url start with www or http://
                website = "http://www." + website;
        }
        this.website = website;
    }

    public String getWebsite() {
        return website;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getCountry() {
        return country;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getState() {
        return state;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCity() {
        return city;
    }

    public void setImage(ImageModule image) {
        this.image = image;
    }

    public ImageModule getImage() {
        return image;
    }

    public Bitmap getProfileImageBitmap() {
        return profileImageBitmap;
    }

    public void setProfileImageBitmap(Bitmap profileImageBitmap) {
        this.profileImageBitmap = profileImageBitmap;
    }
}
