/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.asynctasks;

import java.util.List;

import com.behance.sdk.dto.BehanceSDKAlbumDTO;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKGetAlbumsTaskResult {

	private List<BehanceSDKAlbumDTO> albumsList;
	private boolean exceptionOccurred;
	private Exception exception;

	public Exception getException() {
		return exception;
	}

	public void setException(Exception exception) {
		this.exception = exception;
	}

	public boolean isExceptionOccurred() {
		return exceptionOccurred;
	}

	public void setExceptionOccurred(boolean exceptionOccurred) {
		this.exceptionOccurred = exceptionOccurred;
	}

	public List<BehanceSDKAlbumDTO> getAlbumsList() {
		return albumsList;
	}

	public void setAlbumsList(List<BehanceSDKAlbumDTO> albumsList) {
		this.albumsList = albumsList;
	}

}
