/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.asynctasks;

import com.behance.sdk.dto.BehanceSDKPublishedWIPRevisionDTO;

/**
 * @author Sujit Reddy G
 * 
 */
public class BehanceSDKPublishWIPResult {

	public enum PublishStatus {
		SUCCESS, PUBLISH_FAILED
	}

	private PublishStatus status;
	private Exception exception;
	private String reasonPhrase;
	private BehanceSDKPublishedWIPRevisionDTO publishedWIP;

	public PublishStatus getStatus() {
		return status;
	}

	public void setStatus(PublishStatus status) {
		this.status = status;
	}

	public Exception getException() {
		return exception;
	}

	public void setException(Exception exception) {
		this.exception = exception;
	}

	public void setReasonPhrase(String reasonPhrase) {
		this.reasonPhrase = reasonPhrase;
	}

	public String getReasonPhrase() {
		return this.reasonPhrase;
	}

	public BehanceSDKPublishedWIPRevisionDTO getPublishedWIP() {
		return publishedWIP;
	}

	public void setPublishedWIP(BehanceSDKPublishedWIPRevisionDTO addedWIP) {
		this.publishedWIP = addedWIP;
	}
}