/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.datamanager.listeners.interfaces;

import java.util.List;

import com.behance.sdk.dto.BehanceSDKCreativeFieldDTO;

/**
 * @author ugs
 *
 */
public interface IFiltersDataManagerListener {

	public void onCreativeFieldsLoadingSuccess(List<BehanceSDKCreativeFieldDTO> creativeFields);

	public void onCreativeFieldsLoadingFailure(Exception e);

//	public void onWIPTagsLoadingSuccess(List<WIPTagDTO> wipTags);
//	
//	public void onWIPTagsLoadingFailure(Exception e);
}
