/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKPublishedWIPRevisionDTO {

	private int revisionId;
	private String revisionDescription;
	private String revisionURL;
	private int wipId;
	private String wipTitle;
	private String wipImageURL;

	public int getRevisionId() {
		return revisionId;
	}

	public void setRevisionId(int revisionId) {
		this.revisionId = revisionId;
	}

	public int getWipId() {
		return wipId;
	}

	public void setWipId(int wipId) {
		this.wipId = wipId;
	}

	public String getRevisionURL() {
		return revisionURL;
	}

	public void setRevisionURL(String revisionURL) {
		this.revisionURL = revisionURL;
	}

	public String getRevisionDescription() {
		return revisionDescription;
	}

	public void setRevisionDescription(String revisionDescription) {
		this.revisionDescription = revisionDescription;
	}

	public String getWipTitle() {
		return wipTitle;
	}

	public void setWipTitle(String wipTitle) {
		this.wipTitle = wipTitle;
	}

	public String getWipImageURL() {
		return wipImageURL;
	}

	public void setWipImageURL(String wipImageURL) {
		this.wipImageURL = wipImageURL;
	}
}