/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto;

import android.graphics.drawable.Drawable;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKShareContentAdapterItemDTO {

	public static String TUMBLR_SHARING_PACKAGE_NAME = "TUMBLR_SHARING_PACKAGE_NAME";
	public static String EMAIL_SHARING_PACKAGE_NAME = "EMAIL_SHARING_PACKAGE_NAME";
	public static String COPY_LINK_SHARING_PACKAGE_NAME = "COPY_LINK_SHARING_PACKAGE_NAME";
	public static String DOWNLOAD_IMAGE_KEY = "DOWNLOAD_IMAGE_KEY";

	private String packageName;
	private String displayLabel;
	private Drawable displayIcon;

	public Drawable getDisplayIcon() {
		return displayIcon;
	}

	public void setDisplayIcon(Drawable displayIcon) {
		this.displayIcon = displayIcon;
	}

	public String getDisplayLabel() {
		return displayLabel;
	}

	public void setDisplayLabel(String displayLabel) {
		this.displayLabel = displayLabel;
	}

	public String getPackageName() {
		return packageName;
	}

	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}
}
