/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto;

import com.behance.sdk.enums.BehanceSDKSocialAccountType;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKSocialAccountDTO {

	private BehanceSDKSocialAccountType accountType;
	private String accountClientId;
	private String accountClientSecret;
	private String userId;
	private int accountDisplayNameResourceId;
	private String userAuthToken;
	private String additionalData;
	private long userAuthTokenExpiryTime;
	private boolean sharingEnabledLastTime;
	private boolean userAuthenticated;

	public String getAccountClientId() {
		return accountClientId;
	}

	public void setAccountClientId(String accountClientId) {
		this.accountClientId = accountClientId;
	}

	public String getAccountClientSecret() {
		return accountClientSecret;
	}

	public void setAccountClientSecret(String accountClientSecret) {
		this.accountClientSecret = accountClientSecret;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public int getAccountDisplayNameResourceId() {
		return accountDisplayNameResourceId;
	}

	public void setAccountDisplayNameResourceId(int accountDisplayNameResourceId) {
		this.accountDisplayNameResourceId = accountDisplayNameResourceId;
	}

	public String getUserAuthToken() {
		return userAuthToken;
	}

	public void setUserAuthToken(String userAuthToken) {
		this.userAuthToken = userAuthToken;
	}

	public long getUserAuthTokenExpiryTime() {
		return userAuthTokenExpiryTime;
	}

	public void setUserAuthTokenExpiryTime(long userAuthTokenExpiryTime) {
		this.userAuthTokenExpiryTime = userAuthTokenExpiryTime;
	}

	public BehanceSDKSocialAccountType getAccountType() {
		return accountType;
	}

	public void setAccountType(BehanceSDKSocialAccountType accountType) {
		this.accountType = accountType;
	}

	public String getAdditionalData() {
		return additionalData;
	}

	public void setAdditionalData(String additionalData) {
		this.additionalData = additionalData;
	}

	public boolean isSharingEnabledLastTime() {
		return sharingEnabledLastTime;
	}

	public void setSharingEnabledLastTime(boolean sharingEnabledLastTime) {
		this.sharingEnabledLastTime = sharingEnabledLastTime;
	}

	public boolean isUserAuthenticated() {
		return userAuthenticated;
	}

	public void setUserAuthenticated(boolean userAuthenticated) {
		this.userAuthenticated = userAuthenticated;
	}
}