/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.project;

import com.behance.sdk.enums.BehanceSDKProjectModuleAlignment;
import com.behance.sdk.enums.BehanceSDKProjectModuleType;

import java.io.Serializable;


/**
 * @author Sujit Reddy G
 *
 */

public abstract class BehanceSDKAbstractProjectModuleDTO implements Serializable {


	private static final long serialVersionUID = 5665527980106568354L;
	private BehanceSDKProjectModuleAlignment alignment;


	private String id;
	private BehanceSDKProjectModuleType type;
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public BehanceSDKProjectModuleType getType() {
		return type;
	}

	public void setType(BehanceSDKProjectModuleType type) {
		this.type = type;
	}

	public void setAlignment(String alignment) {
		this.alignment = BehanceSDKProjectModuleAlignment.fromString(alignment);
	}
}
