/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.project;


import com.behance.sdk.enums.BehanceSDKProjectModuleType;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKProjectModuleTextDTO extends BehanceSDKAbstractProjectModuleDTO {

	private static final long serialVersionUID = 1338853477624469887L;

	private String formattedText;
	private String plainText;
	private String moduleHTML;
	private String customCSS;

	public BehanceSDKProjectModuleTextDTO() {
		setType(BehanceSDKProjectModuleType.TEXT);
	}

	public String getFormattedText() {
		return formattedText;
	}

	public void setFormattedText(String formattedText) {
		this.formattedText = formattedText;
	}

	public String getPlainText() {
		return plainText;
	}

	public void setPlainText(String plainText) {
		this.plainText = plainText;
	}

	public String getModuleHTML() {
		return moduleHTML;
	}

	public void setModuleHTML(String moduleHTML) {
		this.moduleHTML = moduleHTML;
	}

	public String getCustomCSS() {
		return customCSS;
	}

	public void setCustomCSS(String customCSS) {
		this.customCSS = customCSS;
	}
}
