/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.project;

import java.io.Serializable;

public class BehanceSDKProjectShareData implements Serializable {

	private static final long serialVersionUID = 5238898567073234506L;

	private String tags;
	private String short_url;
	private String blogName;
	private String publishOption;
	private String projectID;
	private String projectTitle;
	private String projectDescription;
	private String coverImagePath;
	private String projectOwnerName;
	private String projectOwnerProfileURL;
	private String projectCoverImageURL;

	public void setTags(String tags) {
		this.tags = tags;
	}

	public void setShortUrl(String short_url) {
		this.short_url = short_url;

	}

	public void setBlogName(String blogName) {
		this.blogName = blogName;

	}

	public void setPublishOption(String publishOption) {
		this.publishOption = publishOption;

	}

	public void setProjectID(String id) {
		this.projectID = id;

	}

	public String getProjectID() {
		return projectID;
	}

	public String getBlogName() {
		return blogName;
	}

	public String getShortUrl() {
		return short_url;
	}

	public String getTags() {
		return tags;
	}

	public String getPublishOption() {
		return publishOption;
	}

	public String getProjectTitle() {
		return projectTitle;
	}

	public void setProjectTitle(String projectTitle) {
		this.projectTitle = projectTitle;
	}

	public String getProjectDescription() {
		return projectDescription;
	}

	public void setProjectDescription(String projectDescription) {
		this.projectDescription = projectDescription;
	}

	public String getCoverImagePath() {
		return coverImagePath;
	}

	public void setCoverImagePath(String coverImagePath) {
		this.coverImagePath = coverImagePath;
	}

	public String getProjectOwnerName() {
		return projectOwnerName;
	}

	public void setProjectOwnerName(String projectOwnerName) {
		this.projectOwnerName = projectOwnerName;
	}

	public String getProjectOwnerProfileURL() {
		return projectOwnerProfileURL;
	}

	public void setProjectOwnerProfileURL(String projectOwnerProfileURL) {
		this.projectOwnerProfileURL = projectOwnerProfileURL;
	}

	public String getProjectCoverImageURL() {
		return projectCoverImageURL;
	}

	public void setProjectCoverImageURL(String projectCoverImageURL) {
		this.projectCoverImageURL = projectCoverImageURL;
	}

}
