/**
 * **********************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 * <p/>
 * Copyright 2015 Adobe Systems Incorporated
 * All Rights Reserved.
 * <p/>
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 * ************************************************************************
 */

package com.behance.sdk.enums;

/**
 * @author Sujit Reddy G
 */

public enum BehanceSDKPublishWIPProgressState {
    PUBLISH_STARTED,
    IMAGE_UPLOAD_IN_PROGRESS,
    IMAGE_UPLOAD_SUCCESSFUL,
    SHARE_ON_FACEBOOK_SUCCESSFUL,
    SHARE_ON_TWITTER_SUCCESSFUL,
    SHARE_ON_FACEBOOK_FAILED,
    SHARE_ON_TWITTER_FAILED,
    PUBLISH_SUCCESSFUL,
    CANCEL_PUBLISH_SUCCESSFUL,
    CANCEL_PUBLISH_FAILED,
    PUBLISH_FAILED
}
