/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.exception;

public class BehanceSDKFileUtilsInitializationException extends BehanceSDKException {

	private static final long serialVersionUID = 237178443147775171L;

	public BehanceSDKFileUtilsInitializationException(int errorCode, Throwable throwable) {
		super(errorCode, throwable);
	}

	public BehanceSDKFileUtilsInitializationException(int errorCode, String detailMessage) {
		super(errorCode, detailMessage);
	}

	public BehanceSDKFileUtilsInitializationException(String detailMessage){
		super(detailMessage);
	}
}
