package com.behance.sdk.listeners;

import com.behance.sdk.asynctask.params.BehanceSDKGetCitiesAsyncTaskParams;
import com.behance.sdk.dto.location.BehanceSDKCityDTO;
import com.behance.sdk.dto.location.BehanceSDKCountryDTO;
import com.behance.sdk.dto.location.BehanceSDKStateDTO;

import java.util.List;

/**
 * Created by forta on 9/17/14.
 */
public interface IBehanceSDKLocationFiltersDataManagerListener {

    public void onCountriesLoadingSuccess(List<BehanceSDKCountryDTO> countries);

    public void onCountriesLoadingFailure(Exception e);

    public void onStatesLoadingSuccess(String countryId, List<BehanceSDKStateDTO> result);

    public void onStatesLoadingFailure(String countryId, Exception e);

    public void onCitiesLoadingSuccess(BehanceSDKGetCitiesAsyncTaskParams params, List<BehanceSDKCityDTO> result);

    public void onCitiesLoadingFailure(BehanceSDKGetCitiesAsyncTaskParams params, Exception e);
}
