package com.behance.sdk.managers;

import com.behance.sdk.IBehanceSDKEditProfileListener;
import com.behance.sdk.IBehanceSDKUserCredentials;

/**
 * Created by forta on 9/17/14.
 */
public class BehanceSDKEditProfileManager {

    private static final BehanceSDKEditProfileManager INSTANCE = new BehanceSDKEditProfileManager();

    private IBehanceSDKEditProfileListener editProfileListener;

    private IBehanceSDKUserCredentials userCredentials;

    public static BehanceSDKEditProfileManager getInstance() {
        return INSTANCE;
    }

    public IBehanceSDKUserCredentials getUserCredentials() {
        return userCredentials;
    }

    public void setUserCredentials(IBehanceSDKUserCredentials userCredentials) {
        this.userCredentials = userCredentials;
    }

    public void setEditProfileListener(IBehanceSDKEditProfileListener editProfileListener) {
        this.editProfileListener = editProfileListener;
    }

    public void onEditProfileSuccess() {
        editProfileListener.onEditProfileSuccess();
    }
}
