package com.behance.sdk.project.modules;

import com.behance.sdk.util.BehanceSDKUtils;

import java.io.File;

/**
 * Created by ugs on 25/06/15.
 */
public class CreativeCloudAssetModule  extends ImageModule {

    private static final long serialVersionUID = 7358646255323338637L;

    public CreativeCloudAssetModule(long id, String filePath) {
        super(id, filePath);
    }

    public CreativeCloudAssetModule(File file) {
        super(file);
    }

    @Override
    public ProjectModuleTypes getType() {
        return ProjectModuleTypes.CREATIVECLOUD_ASSET;
    }

    @Override
    public void deleteFromFileSystem() {
        BehanceSDKUtils.deleteRecursive(getFile());
    }

}
