package com.behance.sdk.ui.customviews;

import android.content.Context;
import android.graphics.Rect;
import android.support.v7.widget.RecyclerView;
import android.view.View;

import com.behance.sdk.R;

/**
 * Created by forta on 7/22/15.
 */
public class BehanceSDKSpaceItemDecorationGrid extends RecyclerView.ItemDecoration {

    private final int mSpaceHeight;

    public BehanceSDKSpaceItemDecorationGrid(Context context) {
        this.mSpaceHeight = context.getResources().getDimensionPixelSize(R.dimen.bsdk_card_grid_item_spacing);
    }

    @Override
    public void getItemOffsets(Rect outRect, View view, RecyclerView parent,
                               RecyclerView.State state) {
        outRect.bottom = mSpaceHeight;
        outRect.top = mSpaceHeight;
        outRect.right = mSpaceHeight;
        outRect.left = mSpaceHeight;
    }
}